Issue 69980

Summary: Install Dictionaries Wizard failure
Product: lingucomponent Reporter: rmax <r2_2004_r>
Component: otherAssignee: maison.godard
Status: CLOSED IRREPRODUCIBLE QA Contact: issues@lingucomponent <issues>
Severity: Trivial    
Priority: P3 CC: andreas.radke, helenrussian, ht990332, issues, kpalagin, maison.godard
Version: OOo 2.0.4   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description rmax 2006-09-29 14:59:32 UTC
On MS Windows systems, the Install new dictionaries Wizard in OOo version
2.0.4rc3 fails to open the DicOOo.sxw file in ..\share\dict\ooo directory. As a
workaround, users can manually open the DicOOo.sxw file from the menu using File
-> Open File and navegating to the correct folder on the OOo file tree.

This issue has been reported before (see issues 58566, 43708, 36836, and 34344),
but each of these cases was reported as closed. It seems to be a recurrent
problem that has high visibility and is a potential turn-off for new OOo users.
I recommend that a definitive fix be implemented before the final 2.0.4 release.
Comment 1 maison.godard 2006-10-02 13:34:48 UTC
dicooo is for me
Comment 2 maison.godard 2006-10-02 13:35:45 UTC
> fails to open the DicOOo.sxw file

message ? screenshot ? 
Comment 3 rmax 2006-10-02 17:17:38 UTC
Nothing happens when you follow the menu sequence (i.e., from Writer) File ->
Wizards -> Install new dictionaries. There is no message. No other obvious
effects or problems. OOo continues to work.
Comment 4 rmax 2006-10-13 22:32:46 UTC
Problem identified: when a user installs a new version of OOo, previously
existing OOo files in C:\Documents and
Settings\[user]\...\OpenOffice.org2\user\wordbook are preserved. In my case, for
some unknown reason, the DicOOo.lst file that was preserved contained the path
to an old DicOOo.sxw file from a version 1.9.x install of OOo (that had been
erased). I suspect that (1) the Install dictionaries wizard used the (erroneous)
path in the preserved DicOOo.lst file, (2) the wizard could not find the
DicOOo.sxw file on the OOo version 2.0.x file tree, and (3) silently terminated
without reporting a warning or an error.

Suggestions: (1) Make sure that the OOo install program writes the current path
to the DicOOo.sxw file in the C:\Documents and settings\...\wordbook\DicOOo.lst
file. (2) Correct the code to the Install dictionaries wizard to report a
meaningful error if it fails to find the DicOOo.sxw file. (3) Update the
documentation for DicOOo to mention this as a possible problem and explain
workaround strategies (i.e., manually open DicOOo.sxw or manually correct the
path in the DicOOo.lst file).

I hope this helps.  Several users have reported similar problems in the past as
issues and in the OOo forums. DicOOo is very useful and I (for one) appreciate
your continued dedication to OOo and DicOOo.
Comment 5 kpalagin 2007-04-28 08:01:06 UTC
Just tried upgrading from 2.0 to 2.2 - dicOOO opens and dictionary 
installation wizard starts just fine.
Resolving as WFM.
Comment 6 kpalagin 2007-04-28 08:04:54 UTC
and closing.
Comment 7 ht990332 2007-08-10 17:39:13 UTC
Still happens here on Linux in SRC680_m225
Comment 8 kpalagin 2007-08-10 22:32:39 UTC
ht990332, rmax,
still can't repro on WinXP.
Please provide step by step description.